#ifndef LIBKYFAN_H
#define LIBKYFAN_H

/**
 * @file libkyfan.h
 * @author liuyunhe (liuyunhe@kylinos.cn)
 * @brief 风扇信息
 * @version 0.1
 * @date 2023-6-17
 * 
 * @copyright Copyright (c) 2021
 * @defgroup libkysdk-hardware
 * @{
 * 
 */

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * @brief 获取风扇的信息
 * 
 * @return char** 风扇的信息（名称，转速）
 */
extern char** kdk_fan_get_information();

/**
 * @brief 用于回收字符串列表
 * 
 * @param ptr 字符串列表
 */
extern inline void kdk_fan_freeall(char **ptr);

#ifdef __cplusplus
}
#endif

#endif

/**
 * \example kysdk-system/src/hardware/test/kyfan-test.c
 * 
 */